[email protected]
[Top] [All Lists]

[Haskell-cafe] Re: ghc: unrecognised flags: -I

Subject: [Haskell-cafe] Re: ghc: unrecognised flags: -I
From: Lyndon Maydwell
Date: Wed, 27 Jan 2010 10:38:12 +0800
I found the problem.

I had an empty entry for extra library includes in my cabal
configuration. Once I commented this out things started working again.
I think that cabal should probably not include a lone -I in this case
though. Is there somewhere I can file a bug?

Thanks guys.

On Mon, Jan 25, 2010 at 4:58 PM, Christian Maeder
<[email protected]> wrote:
> Lyndon Maydwell schrieb:
>> For example, when I "cabal install -v storable-complex" I get the following:
>>
>> /usr/bin/ghc -package-name storable-complex-0.2.1 --make
>> -hide-all-packages -i -idist/build -i. -idist/build/autogen
>> -Idist/build/autogen -Idist/build -I -optP-include
>> -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir
>> dist/build -stubdir dist/build -package base-3.0.3.1 -O
>> Foreign.Storable.Complex
>> ghc: unrecognised flags: -I
>
> For me this works (and does not have that single "-I"):
>
> /home/mac-bkb/bin/ghc -package-name storable-complex-0.2.1 --make
> -hide-all-packages -i -idist/build -i. -idist/build/autogen
> -Idist/build/autogen -Idist/build -optP-include
> -optPdist/build/autogen/cabal_macros.h -odir dist/build -hidir
> dist/build -stubdir dist/build -package base-3.0.3.1 -O
> Foreign.Storable.Complex
>
>> Has anyone encountered this before, or more realistically, can anyone
>> give me some advice on how to narrow this problem down further?
>
> Sorry, no idea.
>
>> I'm running cabal version 1.6.0.1, ghc 6.10.4 on OS X 10.5.
>
> I've got Cabal-1.6.0.3, ghc 6.10.4 on OS X 10.5 (Intel)
>
> cabal-install version 0.6.2
> using version 1.6.0.3 of the Cabal library
>
> Christian
>
_______________________________________________
Haskell-Cafe mailing list
[email protected]
http://www.haskell.org/mailman/listinfo/haskell-cafe

<Prev in Thread] Current Thread [Next in Thread>